Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgProducer::KeyboardMouseCallback Class Reference

List of all members.

## Public Types
typedef std::vector< osg::ref_ptr< EventAdapter > > | EventQueue
## Public Member Functions
| KeyboardMouseCallback (Producer::KeyboardMouse *keyboardMouse, bool &done, bool escapeKeySetsDone=true)
virtual | ~KeyboardMouseCallback ()
virtual void | mouseScroll (Producer::KeyboardMouseCallback::ScrollingMotion sm)
virtual void | mouseMotion (float mx, float my)
virtual void | passiveMouseMotion (float mx, float my)
virtual void | mouseWarp (float mx, float my)
virtual void | buttonPress (float mx, float my, unsigned int mbutton)
virtual void | doubleButtonPress (float mx, float my, unsigned int mbutton)
virtual void | buttonRelease (float mx, float my, unsigned int mbutton)
virtual void | keyPress (Producer::KeyCharacter key)
virtual void | keyRelease (Producer::KeyCharacter key)
virtual void | specialKeyPress (Producer::KeyCharacter key)
virtual void | specialKeyRelease (Producer::KeyCharacter key)
virtual void | windowConfig (int x, int y, unsigned int width, unsigned int height)
virtual void | shutdown ()
void | setEscapeSetDone (bool esc)
bool | getEscapeSetDone () const
double | getEventQueue (EventQueue &queue)
double | copyEventQueue (EventQueue &queue) const
double | setEventQueue (EventQueue &queue)
double | appendEventQueue (EventQueue &queue)
bool | done () const
float | mx () const
float | my () const
unsigned int | mbutton () const
void | setStartTick (osg::Timer_t tick)
osg::Timer_t | getStartTick () const
double | getTime () const
Producer::KeyboardMouse * | getKeyboardMouse ()
const Producer::KeyboardMouse * | getKeyboardMouse () const
EventAdapter * | createEventAdapter ()
## Protected Attributes
Producer::KeyboardMouse * | _keyboardMouse
float | _mx
float | _my
unsigned int | _mbutton
bool & | _done
bool | _escapeKeySetsDone
osg::Timer_t | _startTick
osg::Timer | _timer
OpenThreads::Mutex | _eventQueueMutex
EventQueue | _eventQueue

## Member Typedef Documentation

typedef std::vector< osg::ref_ptr<EventAdapter> > osgProducer::KeyboardMouseCallback::EventQueue

## Constructor & Destructor Documentation

osgProducer::KeyboardMouseCallback::KeyboardMouseCallback | ( | Producer::KeyboardMouse * | keyboardMouse,
|  | bool & | done,
|  | bool | escapeKeySetsDone = true
| ) | `[inline]`

virtual osgProducer::KeyboardMouseCallback::~KeyboardMouseCallback | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

double osgProducer::KeyboardMouseCallback::appendEventQueue | ( | EventQueue & | queue | ) |

virtual void osgProducer::KeyboardMouseCallback::buttonPress | ( | float | mx,
|  | float | my,
|  | unsigned int | mbutton
| ) | `[virtual]`

virtual void osgProducer::KeyboardMouseCallback::buttonRelease | ( | float | mx,
|  | float | my,
|  | unsigned int | mbutton
| ) | `[virtual]`

double osgProducer::KeyboardMouseCallback::copyEventQueue | ( | EventQueue & | queue | ) | const

EventAdapter* osgProducer::KeyboardMouseCallback::createEventAdapter | ( |  | ) |

bool osgProducer::KeyboardMouseCallback::done | ( |  | ) | const`[inline]`

virtual void osgProducer::KeyboardMouseCallback::doubleButtonPress | ( | float | mx,
|  | float | my,
|  | unsigned int | mbutton
| ) | `[virtual]`

bool osgProducer::KeyboardMouseCallback::getEscapeSetDone | ( |  | ) | const`[inline]`

double osgProducer::KeyboardMouseCallback::getEventQueue | ( | EventQueue & | queue | ) |

const Producer::KeyboardMouse* osgProducer::KeyboardMouseCallback::getKeyboardMouse | ( |  | ) | const`[inline]`

Producer::KeyboardMouse* osgProducer::KeyboardMouseCallback::getKeyboardMouse | ( |  | ) | `[inline]`

osg::Timer_t osgProducer::KeyboardMouseCallback::getStartTick | ( |  | ) | const`[inline]`

double osgProducer::KeyboardMouseCallback::getTime | ( |  | ) | const`[inline]`

virtual void osgProducer::KeyboardMouseCallback::keyPress | ( | Producer::KeyCharacter | key | ) | `[virtual]`

virtual void osgProducer::KeyboardMouseCallback::keyRelease | ( | Producer::KeyCharacter | key | ) | `[virtual]`

unsigned int osgProducer::KeyboardMouseCallback::mbutton | ( |  | ) | const`[inline]`

virtual void osgProducer::KeyboardMouseCallback::mouseMotion | ( | float | mx,
|  | float | my
| ) | `[virtual]`

virtual void osgProducer::KeyboardMouseCallback::mouseScroll | ( | Producer::KeyboardMouseCallback::ScrollingMotion | sm | ) | `[virtual]`

virtual void osgProducer::KeyboardMouseCallback::mouseWarp | ( | float | mx,
|  | float | my
| ) | `[virtual]`

float osgProducer::KeyboardMouseCallback::mx | ( |  | ) | const`[inline]`

float osgProducer::KeyboardMouseCallback::my | ( |  | ) | const`[inline]`

virtual void osgProducer::KeyboardMouseCallback::passiveMouseMotion | ( | float | mx,
|  | float | my
| ) | `[virtual]`

void osgProducer::KeyboardMouseCallback::setEscapeSetDone | ( | bool | esc | ) | `[inline]`

double osgProducer::KeyboardMouseCallback::setEventQueue | ( | EventQueue & | queue | ) |

void osgProducer::KeyboardMouseCallback::setStartTick | ( | osg::Timer_t | tick | ) | `[inline]`

virtual void osgProducer::KeyboardMouseCallback::shutdown | ( |  | ) | `[virtual]`

virtual void osgProducer::KeyboardMouseCallback::specialKeyPress | ( | Producer::KeyCharacter | key | ) | `[virtual]`

virtual void osgProducer::KeyboardMouseCallback::specialKeyRelease | ( | Producer::KeyCharacter | key | ) | `[virtual]`

virtual void osgProducer::KeyboardMouseCallback::windowConfig | ( | int | x,
|  | int | y,
|  | unsigned int | width,
|  | unsigned int | height
| ) | `[virtual]`

## Member Data Documentation

bool& osgProducer::KeyboardMouseCallback::_done`[protected]`

bool osgProducer::KeyboardMouseCallback::_escapeKeySetsDone`[protected]`

EventQueue osgProducer::KeyboardMouseCallback::_eventQueue`[protected]`

OpenThreads::Mutex osgProducer::KeyboardMouseCallback::_eventQueueMutex`[mutable, protected]`

Producer::KeyboardMouse* osgProducer::KeyboardMouseCallback::_keyboardMouse`[protected]`

unsigned int osgProducer::KeyboardMouseCallback::_mbutton`[protected]`

float osgProducer::KeyboardMouseCallback::_mx`[protected]`

float osgProducer::KeyboardMouseCallback::_my`[protected]`

osg::Timer_t osgProducer::KeyboardMouseCallback::_startTick`[protected]`

osg::Timer osgProducer::KeyboardMouseCallback::_timer`[protected]`

The documentation for this class was generated from the following file:

- KeyboardMouseCallback